use cuddle_actions_sdk::AddActionOptions;

struct Registry;

#[Actions]
impl Registry {
    pub async fn something() -> anyhow::Result<()> {
        Ok(())
    }
}

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    cuddle_actions_sdk::CuddleActions::default()
        .add_action(
            "something",
            || {
                println!("did something");
                Ok(())
            },
            &AddActionOptions::default(),
        )
        .execute()?;

    Ok(())
}
