use crate::{cuddle_state::Cuddle, state::ValidatedState};

#[derive(clap::Parser, Debug)]
pub struct RustAction {}

impl RustAction {
    pub async fn execute(&self, cuddle: &Cuddle<ValidatedState>) -> anyhow::Result<()> {
        let project = cuddle.must_project()?;
        let root = &project.root;

        Ok(())
    }
}
